Bug 91885 - version GLIBC_2.0 not defined in file libc.so.6
version GLIBC_2.0 not defined in file libc.so.6
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-29 06:19 EDT by Srdjan Maksimovic
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-02 07:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Srdjan Maksimovic 2003-05-29 06:19:52 EDT
Description of problem:

Version-Release number of selected component (if applicable):
RedHat 9.0, Kernel 2.4.20-8, glibc 2.3.2 27-9

How reproducible:
When trying to build php get "symbol errno, version GLIBC_2.0 not defined in
file libc.so.6 with link time reference" message

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jakub Jelinek 2003-06-02 07:36:43 EDT
That's php bug which forgets to #include <errno.h> before using errno.
Either you need to fix that, or use php included in the distribution.
There is a workaround for broken binaries, you can pass LD_ASSUME_KERNEL=2.4.19
in the environment so that non-TLS libc is used.

Note You need to log in before you can comment on or make changes to this bug.